#!/bin/nawk -f
#
# Aurhor J.S.Charters
# Modif J.S.Charters Jun99 added date field to input data.
# Computes the max and min of a data set
#
# example: met_ins_data.awk  field=2 scale=1 alldata
#
BEGIN {
	max = -99.;
	min = 9999.;
	if ( scale == 0) scale = 1;
}
{
	data = $field;
	if ( field == 2) {
		if ( data >= 360.) {
			printf "> bad_data\n"
			next ;
		}
		diff = data - past
		if ( diff < 0 ) diff = 0 - diff
		if ( diff > 180) {
			printf "> bad_data\n"
			past = data
			next ;
		}
		past = data

	}
	if ( field == 3) {
		if (( data == 0.) || ( data >= 15.) || (data <= -15.)) {
			printf "> bad_data\n"
			next ;
		}
	}
	if ( field == 4) {
		if (( data == 0.) || ( data >= 30.) || (data <= -30.)) {
			printf "> bad_data\n"
			next ;
		}
	}
		
	if ( data <= -50 ) next;
	if ( data > max ) {
		max = data;
	} 
	if ( data < min ) {
		min = data;
	}
	printf "%f %s\n", $1 / 3600., data
}
END {
	if ( max == -99) {
	    printf "-1/1\n" > "range";
	} else {
	    max = (int ((max + scale) / scale )) * scale;
	    min = (int ((min ) / scale )) * scale;
	    printf "%04d/%04d\n",min,max > "range";
	}
}
